Bug 1415067 - [3.2]Installer should persist net.ipv4.ip_forward
Summary: [3.2]Installer should persist net.ipv4.ip_forward
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 3.2.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 3.2.1
Assignee: Tim Bielawa
QA Contact: Wenkai Shi
URL:
Whiteboard:
Depends On: 1372388 1477716
Blocks: 1415046
TreeView+ depends on / blocked
 
Reported: 2017-01-20 07:03 UTC by Jaspreet Kaur
Modified: 2017-08-02 17:02 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Network Manager resets the net.ipv4.ip_forward parameter Consequence: OpenShift loses certain functionality. Fix: The installer sets the sysctl parameter on the system level now. Result: Network manager restarts no longer interfere with the installation process.
Clone Of: 1372388
Environment:
Last Closed: 2017-03-06 16:37:45 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0448 0 normal SHIPPED_LIVE Important: ansible and openshift-ansible security and bug fix update 2017-03-06 21:36:25 UTC

Comment 2 Scott Dodson 2017-01-20 16:06:51 UTC
Workaround is to run the following

echo "net.ipv4.ip_forward=1" >> /etc/sysctl.conf
sysctl -w net.ipv4.ip_forward=1

Comment 3 Tim Bielawa 2017-02-01 19:24:45 UTC
Backport submitted in this PR:

https://github.com/openshift/openshift-ansible/pull/3247

Comment 5 Wenkai Shi 2017-02-07 05:26:43 UTC
Verified with version atomic-openshift-utils-3.2.47-1.git.0.34a924d, the "net.ipv4.ip_forward" setting is persisted on nodes.

[root@node ~]# sysctl net.ipv4.ip_forward
net.ipv4.ip_forward = 1

[root@node ~]# grep net.ipv4.ip_forward /etc/sysctl.conf
net.ipv4.ip_forward=1

Comment 7 errata-xmlrpc 2017-03-06 16:37:45 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:0448


Note You need to log in before you can comment on or make changes to this bug.